TAAS - Feature #216

Account Query
06/27/2023 08:53 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 06/27/2023
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Account Query

Description

Coding Account Query

History

#1 - 07/13/2024 01:14 PM - Anil KV

General:-

Name Code

Display Name Phone

Address Email

Place ID Number & Expiry

City Passport No & Expiry

State TRN No

Country ZIP Code

Credit Limit [With Currency Code] Corporate Booking Rules
Grace Period Days Receipt Mode

Payment Terms LPO No Required

Bill Submission File Number Mandatory
Round Rule Sub Customer Mandatory
Main Ledger Act As[Main Role, Actl, Act2..]
Branches Currency

Status ERP Code

Commission Agent Phone

Address Email

Counter Staff Phone

Address Email

Follow Staff Phone

Address Email

Reco staff Phone

Address Email

Contact Person Phone

Designation/Relation Email

Contract List:-

- Check Customer Contract List
Security Document:-

- Check Customer Security Document

#2 - 07/13/2024 01:38 PM - Anil KV

Ledger Summary
Ref Ledger Summary popup from JV

Ledger Balance In QAR[Basel Currency Code]: 0.000 Cr

Main Ledger/Currency | Debit | Credit | Closing Balance | Debit QAR[Basel Currency Code] | Credit QAR[Basel Cu
rrency Code] | Closing Balance QAR[Basel Currency Codel

Need TOTAL [Currency Base, Last 3 column a Total]
#3 - 07/13/2024 01:39 PM - Anil KV

Note
Add new tab after Ledger Summary
Ref Ledger Summary popup from JV

#4 - 07/13/2024 01:44 PM - Anil KV

Attachment

Type | File Name | Date&Time

#5 - 07/13/2024 01:48 PM - Anil KV

Documents
Add Tab Before Attachment

Group:—

Sale

Refund

Receipt

Payment

Other

—Each Group Last 5 Documents showing

Columns like Document Search
— Remove Party column
- Remove Edit icon column

#6 - 07/13/2024 02:45 PM - Anil KV

Add Liked Account/Profile before Documents tab

Group:-—

Pax Profile
Sub Customer
Sub Ledger
Counter Staff

Code | Name | Address | Phone | E-mail | Status

#7 - 07/13/2024 02:52 PM - Anil KV

NOTE:-
1) No Data then Hide Tab and Grid

#8 - 07/13/2024 02:56 PM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

#9 - 07/31/2024 04:31 PM - Anil KV

- Assignee changed from travvise Admin to Sreeranjini T

#10 - 08/02/2024 11:43 AM - Anonymous
Anil KV wrote in #note-7:

NOTE:-
1) No Data then Hide Tab and Grid

Anil KV wrote in #note-6:

Add Linked Account/Profile before Documents tab

(-]

#11 - 08/05/2024 11:54 AM - Junaid M
- File ACC-QUERY-SQL-SREERANJINIT.xt added

#12 - 08/05/2024 01:05 PM - Junaid M
- File deleted (ACC-QUERY-SQL-SREERANJINIT.xt)

#13 - 08/05/2024 01:05 PM - Junaid M
- File ACC-QUERY-SQL-SREERANJINIT.xt added

#14 - 08/05/2024 01:08 PM - Junaid M
- File deleted (ACC-QUERY-SQL-SREERANJINIT.txt)

#15 - 08/05/2024 01:08 PM - Junaid M
- File ACC-QUERY-SQL-SREERANJINIT.xt added

#16 - 08/09/2024 10:03 AM - Sreeranijini T

- Status changed from Ready for Coding to Coding Started

- % Done changed from 20 to 30

#17 - 08/22/2024 03:10 PM - Sreeranjini T
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#18 - 08/22/2024 04:28 PM - unnikannan S
- Status changed from Coding Done to Testing Started

#19 - 08/22/2024 05:36 PM - unnikannan S
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.Show Data As Per Selected Accounts Dropdown
2.Red Star For Account Auto complete Field

#20 - 08/28/2024 01:00 PM - Sreeranjini T

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#21 - 10/09/2024 07:53 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Missing Labels Security,Contract List Names From Ul While Search With Accounts
2.Missing Data In Document Tab Accounts That Added In Credit Side

#22 - 10/10/2024 02:10 PM - Sreeranjini T

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#23 - 10/25/2024 11:10 AM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#24 - 10/25/2024 03:55 PM - Theja Ponon
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 11/05/2024 04:33 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1.credit limit is not updating in case of supplier

#26 - 11/05/2024 04:56 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#27 - 11/12/2024 03:24 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#28 - 11/15/2024 03:28 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

#29 - 11/15/2024 03:28 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

NEW CHANGES

1. In the document tab show the last five documents (last 5 refund, last 5 receipt, last 5 Payment etc)

2. Change the title of that grid as 'some document list".

3. After ledger summary add two new tabs 'Credit limit', 'Overdue'.

4. The data on credit limit tab should be taken from the credit limit tab of Extra Credit Limit/Payment Days module (refer Extra Credit Limit/Payment
Days).

5. The data on overdue tab should be : bill submission, bill period, payment terms, payment date, grace days, due date, overdue days, currency, due
amount (refer Customer Overdue Report ).

6. Remove grace period days, credit limit, payment terms, bill submission (check whether they are showing int the two new tabs)

7. Personal details in one block : Name, display name, address, place, city, state, country, code, phone, e mail, ID No: & expiry, passport no: & expiry,
TRN no:, zip code.

8. S/M details in one block: corporate booking rules, receipt mode, Lpo no: required, File no: mandatory, round rule, sub customer mandatory, main
ledger, act as, currency, branch, status, ERP code.

9. Commission agent in one block. (comm agent aress, phone no: email)

10. counter staff one block.

11. Follow staff in one block.

12. Reco staff in one block.

13. Contact person in one block.

ISSUE FOUND

1. Documents from cash sale are not showing.

#30 - 11/26/2024 09:42 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#31 - 11/27/2024 12:32 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)DATA IN THE GRID IS NOT CLEARED ON RESET
2)SEARCH RESULT IS ONLY GENERATING IF SEARCHING WITH CUSTOMER
#32 - 11/27/2024 03:17 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#33 - 11/28/2024 10:13 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)DATA IS NOT SHOWING WHEN SEARCHING WITH SUPPLIER

#34 - 11/29/2024 09:53 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#35 - 11/30/2024 11:08 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#36 - 12/05/2024 06:00 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Not showing notes for accounts.
2. On linked pax profile the grouping is not correct.
3. On ledger summary tab it should be by default in expand form.

4. Sale and refund documents are missing from documents tab. -- for supplier account.

5.commission agent is not loading

#37 - 12/06/2024 07:04 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#38 - 12/09/2024 09:40 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#39 - 12/09/2024 03:16 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)Note given to the commission agent in its master is not show in account query

#40 - 12/10/2024 01:22 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#41 - 12/10/2024 02:23 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#42 - 12/11/2024 03:49 PM - Arathy PS
- File clipboard-202412111536-x2ap4.png added
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Incorrect data in the document tab upon updating a document.

Account Query

Account™ = sUpa B5P Type:  Supplier/Creditor Accounts Status: Active
General Ledger Summary CreditLimit & Due Note Documents Attachment
T & B @
Doc No Date Currency Amount  Branch Reference 1 | Narration
- GroupBy: Other
SUR/002 QAR 1100.00 | BROO1: Main
ar 105000
QAR 100,00
ar 20000
QAR 1100.00
R 000 | BRO01=Main
//00: QAR 100,00  BROO1: Main
y R 20000 | BROOI: Main
/00 QAR Q.00 BROO1: Main
a 10000 | 8R0012Main
PV/002 QAR 20000 BROO: Main
Group By: Refund
PV/003 100,00  BROO1: Main
P00z 20000 | 2R001: Man
RF/001 1200.00 | BROO1: Main
Group By: Sal
oo 10000 | 8RO0TzM
..... e [1] 2

#43 - 12/12/2024 10:38 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#44 - 12/12/2024 11:40 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#45 - 01/07/2025 01:11 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

CHANGES

1. Add redirection to the document and voucher numbers.

#46 - 01/08/2025 06:45 PM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#47 - 01/11/2025 02:31 PM - Theja Ponon
- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90

#48 - 01/16/2025 10:12 AM - Arathy PS
- Status changed from New Changes Testing Done to New Changes

- % Done changed from 90 to 50

New Changes
1. Give a blue star to document tab with title: showing only last 5 documents in each module.
2. Tab order note before attachment.

#49 - 01/17/2025 09:43 AM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#50 - 01/22/2025 03:33 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue fixed

1)credit limit and due tab is not showing for credit limit setted accounts

#51 - 01/22/2025 04:08 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#52 - 01/25/2025 02:11 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue found

1)credit limit and due tab is not showing for credit limit setted accounts--already fixed

#53 - 01/27/2025 09:47 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#54 - 01/27/2025 12:27 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue found fixed

1)credit limit and due tab is not showing for credit limit setted accounts

#55 - 01/28/2025 09:36 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#56 - 01/29/2025 11:32 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)Extra limit set through (Extra credit limit or payment term )module is not showing here - not need to fix(not a bug)

#57 - 01/29/2025 03:37 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#58 - 01/30/2025 10:24 AM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#59 - 02/03/2025 01:58 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Credit Limit & Due tab missing when we click on new button.

NEW CHANGES

1. Add another column Outstanding amount then two sub column for credit and debit outstanding amount after closing balance column in ledger
summary tab.

#60 - 02/05/2025 10:00 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#61 - 02/07/2025 01:16 PM - Theja Ponon

- File clipboard-202502071235-kdfjq.png added

- File clipboard-202502071241-vduu8.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue FIXED

1)Not showing in print

Payment : Same Month Based On Transaction LPO No : NO
Terms Date Required
Bill : File No : NO
Submission Mandatory
Main Ledger : Sundry Debtors Act As : Customer
Branches < Al Currency : QAR
Status . Active ERP Code 121234
Commission : SAMO001:: Commission Agent Phone : 654646
Agent
Address : asd Email : adfsdf
Counter Staff : Counter Staff:: CS01 Phone : 4345435
Address I werwer Email : sdfdg
Follow Staff . EMP001:: Employee A Phone : 353464
Address : sdfsdf Email . assd
Reco Staff : EMP001:: Employee A Phone : 353464
Address : sdfsdf Email : assd
Contact : asd Phone : 4545
Person
Contact : asd Email : tertgrt
_|Person
[Relation/
Designation
Printed Date: 07/02/2025 12:32 Page: 1/2 Printed By: admin
PM

2)These fields value are showing without entering
Based On Current Date:  07/02/2025

Same Month Based On Transaction

Account Balance® 0.00 Payment Terms Date

Credit Limit 100000.00 Grace Period Days 1

Extra Limit 0.00 Extra Days 0

Total Limit 100000.00 Total Days 1

Credit Limit Balance 100000.00 Due Days

Due Date 01/01/1901 Payment Date 01/01/1901
Bill Submission Weekly(Mon-5un) Bill Period

Currency QAR Due Amount{Debit & Credit Net) 0.00

#62 - 02/10/2025 09:31 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#63 - 02/11/2025 10:08 AM - Sreeranjini T
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#64 - 02/12/2025 10:30 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#65 - 03/21/2025 03:04 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Fixed

1)If note is debit note then only show this document when debit side account is given ,If note is credit note then only show this document when credit

side account is given
2)Debit side account in journal is not showing here

#66 - 03/22/2025 02:08 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files

ACC-QUERY-SQL-SREERANJINIT.txt 6.54 KB 08/05/2024 Junaid M

clipboard-202412111536-x2ap4.png 127 KB 12/11/2024 Arathy PS

clipboard-202502071235-kdfjq.png 109 KB 02/07/2025 Theja Ponon

clipboard-202502071241-vduu8.png 25.4 KB 02/07/2025 Theja Ponon
